
// Some incorrect forms for parallel loops

class Loop3 {

  static int[] a;

  static {

    // PARALLEL LOOP IN A STATIC INITALIZER NOT ALLOWED

    a = new int[100];
     
    /*par 
	*/
     for (int i = 0; i < 100; i+=2)  
         a[i] = 1;
  }

  static void method() {

    /*par */                    
    for (int d = 0; d < 100.0; d += 1)   // incorrect type
      a[d] = 10;

    int i,j;

    /*par */                               // not declared in FOR
    for (i = 0; i < 100; i++)
      a[i] = 10;

    /*par */                               // both not declared in FOR
    for (i = 0, j = 0; i < 100; i++, j++)
      a[i] = 10;

    /*par */                                 // two vars declared 
    for (int k = 0, l = 0; k < 100; k++, l++)
      a[k] = 10;

     j = 0;
    /*par */                                 // double increment 
    for (int k = 0; k < 100; k++, j++)
      a[k] = 10;

     j = 0;
    /*par */                                 // j is changed! 
    for (int k = 0; k < 100; k++) {
      a[k] = 10;
      j++;
    }

    /*par */                                 // yes, this works!
					     // why bother with j anyway?
    for (int k = 0; k < 100; k++) 
      a[k] = 10;
  }

}
