
import java.util.*;

class QuickSort {
  private static void swap(int[] a, int i, int j) {
    int t = a[i]; a[i] = a[j]; a[j] = t;
  }
  final static void quicksort(int[] a, int q, int r) {
    if (q < r) { 
      swap(a, q, (q+r)/2);
      int s = q;
      for (int i = q+1; i <= r; i++)
        if (a[i] <= a[q])  
	  swap(a, ++s, i);
      swap(a, q, s);
      /*par_inv */
      {
        quicksort(a, q,   s-1);
        quicksort(a, s+1, r  );
      }
    }
  }
}
