
public class Tree {

  double val;
  Tree   left;
  Tree   right;

  Tree(double newval) {
    val   = newval;
    left  = null;
    right = null;
  }

  // Class Method for Computing Height

  final static int compHeight1(Tree t) {
    if (t == null)
      return 0;
    else {
      int l, r;
 
      /*par_inv */ 
      {
        l = compHeight1(t.left);
        r = compHeight1(t.right);
      }     
      return (l > r) ? (l+1) : (r+1);
    }
  }

  // Instance Method for Computing Height
  // (expressed in rigid form required by JAVAR)

   final int compHeight2() {
    int l = 0 , r = 0;

    if ((left != null) && (right != null))
    /*par_inv */
    {
      l = left.compHeight2();
      r = right.compHeight2();
    }
    else if  (left != null)
      l = left.compHeight2();
    else if  (left != null)
      r = right.compHeight2();

    return (l > r) ? (l+1) : (r+1);
  }
} 
